#!/usr/bin/env python
import json, urllib2, re

js = json.load(urllib2.urlopen(u"https://api.github.com/repos/numpy/numpy/git/refs/tags"))

versions = []
for item in js:
    m = re.match(r"^refs/tags/v([0-9][0-9.]*[0-9])$", item["ref"])
    if m:
        versions.append(m.group(1))

versions.sort(key=lambda x: map(int, x.split(u".")))
version = versions[-1]

url = "https://github.com/numpy/numpy/releases/download/v{version}/numpy-{version}.tar.gz".format(version=version)

print(url)
