#!/usr/bin/env bash

if command -v dnf > /dev/null
then
  # Fedora

  dnf update -y
  dnf install -y \
    curl \
    make gcc gcc-c++ flex bison patch \
    gzip zlib-devel bzip2 bzip2-devel xz xz-devel \
    ncurses-devel readline-devel \
    libX11-devel libXt-devel \
    openssl-devel  $(: for python) \
    cairo-devel $(: for matplotlib) \
    perl perl-ExtUtils-MakeMaker gettext libcurl-devel expat-devel $(: for git) \
    rsync $(: used by eups package 'fftw') \
    cmake $(: used by mariadbclient)

elif command -v yum > /dev/null
then
  # Redhat

  yum update -y
  yum install -y \
    curl python-argparse \
    make gcc gcc-c++ flex bison patch \
    gzip zlib-devel bzip2 bzip2-devel xz xz-devel \
    ncurses-devel readline-devel \
    libX11-devel libXt-devel \
    openssl-devel  $(: for python) \
    cairo-devel $(: for matplotlib) \
    perl perl-ExtUtils-MakeMaker gettext libcurl-devel expat-devel $(: for git) \
    rsync $(: used by eups package 'fftw') \
    cmake $(: used by mariadbclient)
fi
